<?php

/* NOTE: PDO for access is not useful because we cannot list the tables */
/*
$db_result["access"]="access_result_pdo_x";  // this variable for excel maps to tbe below function. If you want to try your own connection method, simply change the variable reference. 
function access_result_pdo_x($db_param,$sql)
{
 try
 {
 
	 xlog(0,"Calling access_result_pdo_x<br>");
	 if(!file_exists($db_param["name"]))
	 {
		throw new RuntimeException('Access Database file path is incorrect or file does not exist.');
	 }


	try
	{	
		$cnnt_str="odbc:Driver={Microsoft Access Driver (*.mdb, *.accdb)};Dbq=".$db_param["name"].";Uid=; Pwd=;";
		$db = new PDO($cnnt_str);
		xlog(0,$cnnt_str);
		$db->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
	}
	catch (exception $e)
	{
	   xlog(-1,"access connection failed =  >".print_r($e,true));
   
		$content["error_flag"]="true";
		$content["error_mesg"]="access connection error ". $e->getMessage() ;
		  $content["legends"]=array("Error");
		  $content["data"]=array(0);
		  return $content;
	}
	
 //run the query	
 try
 {
	$stmt=$db->query($sql);
	$stmt->setFetchMode(PDO::FETCH_ASSOC);
 }
 catch (exception $e)
 {
   clog(-1,"access sql query failed =  >");
   clog(-1,"sql=". $sql);
   	$content["error_flag"]="true";
	$err=$db->errorInfo();
	xlog(-1,"Error... {$err[0]} - {$err[1]} - {$err[2]}");
	$content["error_mesg"]="access query error ".$e->getMessage();
		  $content["legends"]=array("Error");
		  $content["data"]=array(0);
		  return $content;
 
 }

	 // Loop to handle all results
	 $row_id=0;
	 $column_names=array();
	 $column_types=array();
	 $col_data=array();
	 $row_limit=$db_param['row_limit']; 
	 if (!isset($row_limit) ) $row_limit=10;
	while( ($row = $stmt->fetch()) && $row_id<$row_limit)
	{
	  //$row_data[$row_id]=array();
	   // each key and value can be examined individually as well
	   $col_id=0;
	   //clog(2,print_r($row,true));
	   foreach($row as $key => $value)
	   {
	     if (is_int($key)) continue;
	    // clog(2,"key = {$key} val = {$value}");  

	     $col_data[$col_id][$row_id]=utf8_encode($value); 


	     if ($row_id==0) 
		 {
			
			//xlog(0,"mysql column type =".$col_meta["native_type"]);
		    array_push($column_names,utf8_encode($key)); //just capture column names only once
			array_push($column_types,"VARCHAR");
		 }  
		 $col_id++;
		 //array_push($row_data[$row_id],$value);
		//  print "<br>Key: " . $key . " Value: " . $value;
	   }
	   $row_id++;
	}

	if ($col_id==0)
	{
	  $column_names[]="No Data";
	  $column_types[]="VARCHAR";
	  $col_data[0][0]="no data";

	}
	$content["legends"]=$column_names;
	$content["columnTypes"]=$column_types;
	$content["data"]=$col_data;
	clog(5, json_encode($content));
    return $content;
 }
    catch (exception $e)
    {
          clog(-1,"connection method get_connection exception ".print_r($e,true));
		  clog(-1,"sql=". $sql);
		  $content["legends"]=array("Error");
		  $content["data"]=array(0);
		  	$content["error_flag"]="true";
		$content["error_mesg"]="fetch error ".print_r($e,true);
		  return $content;
    } 
}
*/


?>