INSERT INTO `xcategory` (`category_id`, `category_code`, `category_name`, `category_type`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`, `is_public`) VALUES
(1, 'DEFAULT_CATEGORY_admin', 'Default Category[admin]', 'CATEGORY', 'Y', now(), 1, now(), 1, NULL, NULL, NULL),
(2, 'admin_project', 'project1', 'PROJECT', 'Y', now(), 1, now(), 1, NULL, NULL, NULL);


INSERT INTO `xconnection` (`connection_id`, `connection_handle`, `connection_type`, `connection_category`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`, `status`, `attrib1`, `attrib2`, `attrib3`) VALUES
(1, 'woocommerce_db', 'mysql', 'sql', 'Y', now(), 1, now(), 1, NULL, 'woocommerce database', NULL, NULL, NULL, NULL);


INSERT INTO `xgroup` (`group_id`, `group_code`, `group_name`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`) VALUES
(1, 'DEFAULT_GROUP_admin', 'Default Group[admin]', 'Y', now(), 1, now(), 1, NULL, NULL);


INSERT INTO `xgroup_category_map` (`group_category_map_id`, `group_id`, `category_id`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`, `role_id`) VALUES
(1, 1, 1, 'Y', now(), 1, now(), 1, NULL, NULL, 1),
(2, 1, 2, 'Y', now(), 1, now(), 1, NULL, NULL, 1);

INSERT INTO `xobject` (`object_id`, `object_code`, `object_type_id`, `object_name`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`, `status`, `attrib1`, `attrib2`, `attrib3`, `locked_by_name`, `locked_date`, `is_public`) VALUES
(1, 'home_5e4af1f77209a', 1, 'Home', 'Y', now(), 1, now(), 1, NULL, NULL, NULL, NULL, NULL, '20200217_210511', NULL, NULL, NULL);

INSERT INTO `xobject_category_map` (`object_category_map_id`, `object_id`, `category_id`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`, `role_id`) VALUES
(1, 1, 2, 'Y', now(), 1, now(), 1, NULL, NULL, 1);

INSERT INTO `xobject_type` (`object_type_id`, `object_type_name`, `object_type_code`, `base_path`, `command_template`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`) VALUES
(1, 'MOCKUP', 'MOCKUP', 'none', 'NA', 'Y',now(), 1, now(), 1, NULL, NULL);

INSERT INTO `xprivilege` (`privilege_id`, `privilege_code`, `privilege_name`, `Description`, `created_by`, `creation_date`, `last_updated_by`, `last_update_date`, `sort_val`) VALUES
(1, 'ALL', 'ALL', '', 1, now(), 1, now(), NULL),
(2, 'SYS_MANAGE_XCATEGORY', 'SYS_MANAGE_XCATEGORY', '', 1, now(), 1, now(), NULL),
(3, 'SYS_MANAGE_XGROUP', 'SYS_MANAGE_XGROUP', '', 1, now(), 1, now(), NULL),
(4, 'SYS_MANAGE_XGROUP_CATEGORY_MAP', 'SYS_MANAGE_XGROUP_CATEGORY_MAP', '', 1, now(), 1, now(), NULL),
(5, 'SYS_MANAGE_XMEMBERSHIP_PLAN', 'SYS_MANAGE_XMEMBERSHIP_PLAN', '', 1, now(), 1, now(), NULL),
(6, 'SYS_MANAGE_XMEMBERSHIP_PLAN_DETAIL', 'SYS_MANAGE_XMEMBERSHIP_PLAN_DETAIL', '', 1, now(), 1, now(), NULL),
(7, 'SYS_MANAGE_XOBJECT', 'SYS_MANAGE_XOBJECT', '', 1, now(), 1, now(), NULL),
(8, 'SYS_MANAGE_XOBJECT_CATEGORY_MAP', 'SYS_MANAGE_XOBJECT_CATEGORY_MAP', '', 1, now(), 1, now(), NULL),
(9, 'SYS_MANAGE_XOBJECT_SHARE', 'SYS_MANAGE_XOBJECT_SHARE', '', 1, now(), 1, now(), NULL),
(10, 'SYS_MANAGE_XOBJECT_TYPE', 'SYS_MANAGE_XOBJECT_TYPE', '', 1, now(), 1, now(), NULL),
(11, 'SYS_MANAGE_XPLAN_SUBSCRIPTION', 'SYS_MANAGE_XPLAN_SUBSCRIPTION', '', 1, now(), 1, now(), NULL),
(12, 'SYS_MANAGE_XPRIVILEGE', 'SYS_MANAGE_XPRIVILEGE', '', 1, now(), 1, now(), NULL),
(13, 'SYS_MANAGE_XROLE', 'SYS_MANAGE_XROLE', '', 1, now(), 1, now(), NULL),
(14, 'SYS_MANAGE_XROLE_PRIVILEGE_MAP', 'SYS_MANAGE_XROLE_PRIVILEGE_MAP', '', 1, now(), 1, now(), NULL),
(15, 'SYS_MANAGE_XUSER', 'SYS_MANAGE_XUSER', '', 1, now(), 1, now(), NULL),
(16, 'SYS_MANAGE_XUSER_GROUP_MAP', 'SYS_MANAGE_XUSER_GROUP_MAP', '', 1, now(), 1, now(), NULL);

INSERT INTO `xrole` (`role_id`, `role_code`, `role_name`, `level`, `active`, `default_url_after_login`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`) VALUES
(1, 'ADMIN', 'ADMIN', 0, 'Y', NULL, now(), 1, now(), 1, NULL, NULL),
(2, 'DEVELOPER', 'DEVELOPER', 100, 'Y', NULL, now(), 1, now(), 1, NULL, NULL),
(3, 'VIEWER', 'VIEWER', 200, 'Y', NULL, now(), 1, now(), 1, NULL, NULL),
(4, 'ANALYST', 'ANALYST', 300, 'Y', NULL, now(), 1, now(), 1, NULL, NULL),
(5, 'BASIC', 'BASIC', 500, 'Y', NULL, now(), 1, now(), 1, NULL, NULL);


INSERT INTO `xrole_privilege_map` (`role_privilege_map_id`, `role_id`, `privilege_id`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`) VALUES
(1, 1, 1, 'Y', now(), 1, now(), 1, NULL, NULL);

INSERT INTO `xuser` (`user_id`, `username`, `first_name`, `last_name`, `email`, `role_id`, `password`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `ip_address`, `api_id`, `active`, `sort_val`, `description`) VALUES
(1, 'admin', 'Adminstrator', '', 'NONE', 1, '9c5929d2ecefb00ca4f9ba88818d54f681783eec', now(), 1, now(), 1, '0.0.0.0', '62f9e2a7ef380710376585608c076011dad38aa3', 'Y', NULL, '');

INSERT INTO `xuser_group_map` (`user_group_map_id`, `group_id`, `user_id`, `active`, `creation_date`, `created_by`, `last_update_date`, `last_updated_by`, `sort_val`, `description`, `role_id`) VALUES
(1, 1, 1, 'Y', now(), 1, now(), 1, NULL, NULL, 1);