<?php

//BEGIN check wordpress related
//require( 'C:\xampp\htdocs\yogabodychakra\wp-load.php' );
//check wordpress is installed and if admin user is logged in
	include "woo_login_check.php";
	if (!wlc_ck_is_this_wordpress()) 
	{
		echo "not wordpress";
		die; //wrong script invoked. This section is valid only for wordpress
	}	
	else
	{
		if (!wlc_ck_is_admin()) 
		{
			echo "Ask yourself: Who Am I?";
			die;
		}	
	}
//END  check wordpress related 

header('Content-Type: text/event-stream');
// recommended to prevent caching of event data.
header('Cache-Control: no-cache'); 

set_time_limit(0);
ini_set('memory_limit', '-1');
ini_set('max_execution_time', 400); //0=NOLIMIT
ignore_user_abort(true);

include_once "system/property_definition.php";


//echo "stg1<br>";
include "system/general.php";
include_once "logfn.php";
//echo "stg2<br>";
$gs["logging_enabled"]=='Y'; //force logging

//echo "stg3<br>";
$mesg_id=0; //for event messaging
$icdash_glb_get_input=filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);
$icdash_glb_post_input=filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);

$mode=$icdash_glb_get_input['mode'];


//session_start();
wic_install_woo_db_objects();



function wic_install_woo_db_objects()
{
		//now install the db objects
		global $mesg_id;
		xlog(0,__FILE__."connection db_array".print_r($xdb_array,true));
		xlog(0,__FILE__." - BEGIN installing xmember_objects.sql");
		$sql=file_get_contents("dbconfig/xmember_objects.sql");
        wii_send_client_message('START'
						, 'Installing InfoCaptor objects'
						,0
						,'');
		if ($sql)
		{
			$each_sql = explode(";",$sql);
			$cnt=0;
			$total_cnt=0;
			$error_occured=false;			
			foreach($each_sql as $query)
			{
				
				if (!empty($query) && isset($query))
				{
					xlog(0,__FILE__." SQL #".$cnt);
					$object_installed=wic_get_resultset_sql($query);
					if (!$object_installed)
					{
						$error_occured=true;
						wii_send_client_message($mesg_id++,$wcnt." ***Error installing {$k} object. Please check logs",50,''); // percent complete
					}					
					else $cnt++;				
					
					$total_cnt++;
				}
			}
			xlog(0,__FILE__." - END installing xmember_objects.sql");
			wii_send_client_message($mesg_id++,$cnt." InfoCaptor Objects Installed ",25,''); //25 percent complete
			if ($error_occured)
			{
				wii_send_client_message($mesg_id++,"Error: Your database does not have rights to create TABLES",50,''); // percent complete
				wii_send_client_message($mesg_id++,"Resolution: Please fix this and restart the install",50,''); // percent complete
				return;
			}			
			xlog(0,__FILE__." - BEGIN installing ic_see_data.sql");
			
			$sql2=file_get_contents("dbconfig/ic_seed_data.sql");
			if ($sql2)
			{
				$each_sql = explode(";",$sql2);
				$cnt=0;
				$total_cnt=0;
				$error_occured=false;			
				foreach($each_sql as $query)
				{
					
					if (!empty($query) && isset($query))
					{
						//echo "running {$query}<br>";
						xlog(0,__FILE__." SQL2 #".$cnt);
						$object_installed=wic_get_resultset_sql($query);
						if (!$object_installed)
						{
							$error_occured=true;
							wii_send_client_message($mesg_id++,$wcnt." ***Error installing {$k} object. Please check logs",50,''); // percent complete
						}					
						else $cnt++;				
						
						$total_cnt++;
					}	
				}
				xlog(0,__FILE__." - END installing ic_seed_data.sql");
			}

			
			//now install woo views
			//update_option('icdash_woo_install_core', "Y");
			include "woo_view_objects.php";
			$wcnt=0;
			$total_cnt=0;
			$error_occured=false;
			foreach ($ic_view as $k => $v)
			{
				if (!empty($ic_view[$k]) && isset($ic_view[$k]))
				{
					//echo "running {$query}<br>";
					$object_installed=wic_get_resultset_sql($ic_view[$k]);		
					if (!$object_installed)
					{
						$error_occured=true;
						wii_send_client_message($mesg_id++,$wcnt." ***Error installing {$k} object. Please check logs",50,''); // percent complete
					}					
					else $wcnt++;
					
					$total_cnt++;
				}
			}
			
			wii_send_client_message($mesg_id++,$wcnt." Woocommerce Objects Installed ",50,''); // percent complete
			if ($error_occured)
			{
				wii_send_client_message($mesg_id++,$wcnt."Error: Your database does not have rigts to create VIEWS",50,''); // percent complete
				wii_send_client_message($mesg_id++,$wcnt."Resolution: Please fix this and restart the install",50,''); // percent complete
				return;
			}
			//update_option('icdash_woo_install_views', "Y");
			//echo "{$cnt} Objects Installed success.<br>";
			//if ($object_installed)
			//all tables created now add seed data
			 //header("Location: woo_reset_data.php");   			
			//include "woo_reset_data.php";
			//update_option('icdash_woo_core_seedata', "Y");
			//wii_send_client_message($mesg_id++," Installing Seed Data Complete ",100,''); // percent complete
			wii_send_client_message('CLOSE', 'Setup Complete',100,'');
			/*else
			{
				echo "could not install the database objects<br><br>";
			}*/
		}
		else {
		
		//echo "could not read the object file<br><br>";
		        wii_send_client_message('CLOSE'
						, 'could not read the object file'
						,0
						,'');
		}
		
}

function wic_get_database_connect()
{

global $db;
global $mesg_id;
global $property;

if (isset($db))
    {
xlog(0,"MT Install - wic_get_database_connect sending the old connection which is still active");
return $db;
}

//xlog(-10,"MT_INSTALL wic_get_database_connect() start");
    try
    {
		$xconnection_name = "repository";
		$db_config_file = "{$property['dbconfig_location']}";


		if (file_exists($db_config_file) ) include($db_config_file);
		else 
		{
			//echo "could not find xmember_dbconfig.php ..<br>";
			wii_send_client_message($mesg_id++
			, 'Could not locate Infocaptor db config file'
			,0
			,'');
			xlog(-1,"db config is missing..");return false;

		}

		xlog(0,"MT_INSTALL connection db_array".print_r($xdb_array,true));
    //echo "type--".$xdb_array[$xconnection_name]['type'];
       // $db = NewADOConnection($xdb_array[$xconnection_name]['type']);

    // //$db->debug = true;
    // $db->Connect($xdb_array[$xconnection_name]['host'].":".$xdb_array[$xconnection_name]['port'], $xdb_array[$xconnection_name]['user']
	// , $xdb_array[$xconnection_name]['pass'], $xdb_array[$xconnection_name]['name']);

		$cnnt_str="mysql:host={$xdb_array[$xconnection_name]['host']};port={$xdb_array[$xconnection_name]['port']};dbname={$xdb_array[$xconnection_name]['name']}";
		$db = new PDO($cnnt_str, $xdb_array[$xconnection_name]['user'], $xdb_array[$xconnection_name]['pass']);
		$db->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
		  

		return $db;
    }
    catch (exception $e)
    {
          xlog(-1,"MT_INSTALL wic_get_database_connect exception ".print_r($e,true));
		  return false;
    }

}



function wic_get_resultset_sql($sql)
{
    xlog(0,__FILE__."  wic_get_resultset_sql() start");
          xlog(0,__FILE__."  wic_get_resultset_sql SQL=".$sql);
 try
 {

  {
    $db= wic_get_database_connect();
    if ($db)
    {

		$stmt = $db->prepare($sql);
		$stmt->execute();
		$count = $stmt->rowCount();
		$_SESSION["xmember"]["rows_affected"]=$count;
		xlog(0,"rows affected = ".$count);		
		//$recordSet = $db->Execute($sql);
	   //$_SESSION["xmember"]["rows_affected"]=$db->Affected_Rows();

      return $count+1;

    }
    else
        {
		
          xlog(-1,__FILE__." wic_get_resultset_sql error connection".$db->errorInfo());
           xlog(-1,__FILE__." wic_get_resultset_sql error connection".print_r($db,true));
           return false;
    }

  }
 }
 catch( exception $e)
 {
	
      xlog(-1,__FILE__." wic_get_resultset_sql exception".print_r($e,true));
      xlog(-1,__FILE__." wic_get_resultset_sql Reference SQL=".$sql);
 }
}

function wii_send_client_message($id, $message, $progress,$url) {
    $d = array('message' => $message , 'progress' => $progress,'url'=>$url);
      
    echo "id: $id" . PHP_EOL;
    echo "data: " . json_encode($d) . PHP_EOL;
    echo PHP_EOL;
      
    ob_flush();
    flush();
}

?>